import { jsx } from "react/jsx-runtime";
import { TokenIDNA as TokenIDNA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenIDNA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "IDNA", "data-name": "TokenIDNA", ...props, children: /* @__PURE__ */ jsx(TokenIDNA$1, { variant }) });
  }
);
TokenIDNA.displayName = "TokenIDNA";
Object.assign(TokenIDNA, { isGdsIcon: true });
export {
  TokenIDNA
};
